/**
 * Copyright (c) 2020 Bubble, Inc.  All rights reserved.
 * For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
 */
package bubble.service_dbfilter;

import bubble.model.account.Account;
import bubble.model.bill.AccountPlan;
import bubble.service.account.SyncAccountService;
import lombok.NonNull;
import org.springframework.stereotype.Service;

import static org.cobbzilla.util.daemon.ZillaRuntime.notSupported;

@Service
public class DbFilterSyncAccountService implements SyncAccountService {

    @Override public void syncAccount(@NonNull final Account account) { notSupported("syncAccount"); }
    @Override public void syncPlan(@NonNull final Account account, @NonNull final AccountPlan accountPlan) {
        notSupported("syncPlan");
    }

    @Override public void syncForceDeletedPlan(@NonNull final Account account, @NonNull final String accountPlanName) {
        notSupported("syncForceDeletedPlan");
    }

}
